makedesignkey {planor} | R Documentation

## Turn Integer Matrices into an Object of Class designkey

### Description

Create an object of class `designkey` from a list of integer matrices.

### Usage

    makedesignkey(keys, primes)

### Arguments

`keys` | a list of `n` integer matrices with column names.
`primes` | a vector of `n` prime numbers.

### Details

The names of the factors are extracted from the matrix column names.

### Value

An object of class `designkey`.

### Author(s)

Monod, H.

### Examples

      mat1 <- cbind(diag(3),1)
      colnames(mat1) <- c("A","B","C","D")
      mat2 <- cbind(diag(2),c(1,2))
      colnames(mat2) <- c("E","F","G")
      mat.dk <- makedesignkey(list(mat1,mat2), primes=c(2,3))
      print(mat.dk)
      summary(mat.dk)
      alias(mat.dk)
      mat.plan <- planor.design(mat.dk)

[Package planor version 1.5-1 Index]